Package com.usatiuk.dhfs.persistence

# Interface PeerIdPOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PeerIdP`, `PeerIdP.Builder`

public interface PeerIdPOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`JObjectKeyP`
`getId()`
`.dhfs.persistence.JObjectKeyP id = 1;`
`JObjectKeyPOrBuilder`
`getIdOrBuilder()`
`.dhfs.persistence.JObjectKeyP id = 1;`
`boolean`
`hasId()`
`.dhfs.persistence.JObjectKeyP id = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasId

boolean hasId()
`.dhfs.persistence.JObjectKeyP id = 1;`

Returns:
  Whether the id field is set.

### getId

JObjectKeyP getId()
`.dhfs.persistence.JObjectKeyP id = 1;`

Returns:
  The id.

### getIdOrBuilder

JObjectKeyPOrBuilder getIdOrBuilder()
`.dhfs.persistence.JObjectKeyP id = 1;`